#3971 closed enhancement (fixed)

Deprecate use of RTEMS_MAXIMUM_NAME_LENGTH

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: rtems Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking: #3972, #3979

Description

This define is unused and undocumented. It is available via <rtems.h>. Deprecate its use.

Change History (3)

comment:1 Changed on May 5, 2020 at 12:55:41 PM by Sebastian Huber

Blocking: 3972 added

comment:2 Changed on May 6, 2020 at 6:02:40 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 3d86d83/rtems:

rtems: Deprecate RTEMS_MAXIMUM_NAME_LENGTH

This define is

  • not documented,
  • not used in the RTEMS code base, and
  • longer than sizeof(rtems_name).

Close #3971.

comment:3 Changed on May 11, 2020 at 5:49:22 AM by Sebastian Huber

Blocking: 3979 added
Note: See TracTickets for help on using tickets.